Subject: Re: bug#71638: 30.0.50; Compilation warnings
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked],Rudolf Adamkovič <[email-masked]>, [email-masked]
Date: Sat, 29 Jun 2024 22:36:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Rudolf Adamkovič <[email-masked]>
>> Cc: Po Lu <[email-masked]>, [email-masked]
>> Date: Thu, 20 Jun 2024 15:24:19 +0200
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> > Thanks, I tried to fix that now on master.
>>
>> All warnings are gone *except* this one:
>>
>> xwidget.c:492:17: warning: variable 'f' set but not used
>>   struct frame *f = NULL;
>>                 ^
>
> Sorry, this one you will have to live with: the setting of 'f' is part
> of checking the validity of the function's arguments, so it must be
> left alone.
>
>> Also, CC'in Po Lu, as after his 'cebca072c33', I *cannot build*:
>>
>>   CC       nsxwidget.o
>> nsfns.m:1320:3: error: use of undeclared identifier 'image_cache_refcount'
>>   image_cache_refcount =
>>   ^
>> nsfns.m:3025:3: error: use of undeclared identifier 'image_cache_refcount'
>>   image_cache_refcount =
>>   ^
>> 2 errors generated.
>
> Please try again, I think this was fixed meanwhile.

It seems like everything was fixed here, so I'm closing this.